package com.jeeplus.test.cw.projectReport.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.core.query.Query;
import lombok.Data;

import java.util.Date;

/**
 * @author: 徐滕
 * @version: 2022-11-11 14:01
 */
@Data
@TableName("cw_project_report")
public class CwProjectReport extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 报告编号
     */
    private String projectReportNumber;

    /**
     * 项目id
     */
    private String projectId;

    /**
     * 报告所属部门
     */
    private String officeId;

    /**
     * 签章类型
     * 1：公章
     * 2：公章+执业章
     */
    private String signatureType;

    /**
     * 签字注师1
     */
    private String signatureAnnotator1;

    /**
     * 签字注师2
     */
    private String signatureAnnotator2;

    /**
     * 签章合同id
     * 用于查询签章合同以及相关信息
     */
    private String signatureContractId;

    /**
     * 流程id
     */
    private String procInsId;

    private String processDefinitionId;

    /**
     * 状态
     */
    private String status;
}
